Bug 1294726 - AttributeError: 'int' object has no attribute 'roundToNearest'
AttributeError: 'int' object has no attribute 'roundToNearest'
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: python-blivet (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: blivet-maint-list@redhat.com
Fedora Extras Quality Assurance
abrt_hash:29510b9f131a33823d269983665...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-29 19:19 EST by Ashley Penney
Modified: 2016-12-20 12:28 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 12:28:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: anaconda-tb (509.88 KB, text/plain)
2015-12-29 19:19 EST, Ashley Penney
no flags Details
File: anaconda.log (6.85 KB, text/plain)
2015-12-29 19:19 EST, Ashley Penney
no flags Details
File: dnf.log (1.25 KB, text/plain)
2015-12-29 19:19 EST, Ashley Penney
no flags Details
File: environ (459 bytes, text/plain)
2015-12-29 19:19 EST, Ashley Penney
no flags Details
File: ks.cfg (3.60 KB, text/plain)
2015-12-29 19:19 EST, Ashley Penney
no flags Details
File: lsblk_output (2.01 KB, text/plain)
2015-12-29 19:19 EST, Ashley Penney
no flags Details
File: nmcli_dev_list (2.84 KB, text/plain)
2015-12-29 19:19 EST, Ashley Penney
no flags Details
File: os_info (451 bytes, text/plain)
2015-12-29 19:19 EST, Ashley Penney
no flags Details
File: program.log (56.83 KB, text/plain)
2015-12-29 19:19 EST, Ashley Penney
no flags Details
File: storage.log (239.39 KB, text/plain)
2015-12-29 19:19 EST, Ashley Penney
no flags Details
File: syslog (137.46 KB, text/plain)
2015-12-29 19:19 EST, Ashley Penney
no flags Details
File: ifcfg.log (16.52 KB, text/plain)
2015-12-29 19:19 EST, Ashley Penney
no flags Details
File: packaging.log (371 bytes, text/plain)
2015-12-29 19:19 EST, Ashley Penney
no flags Details

  None (edit)
Description Ashley Penney 2015-12-29 19:19:38 EST
Description of problem:
When using --reserved-space= on a volgroup I get this crash reliably with F23.

Version-Release number of selected component:
anaconda-23.19.10-1

The following was filed automatically by anaconda:
anaconda 23.19.10-1 exception report
Traceback (most recent call first):
  File "/usr/lib/python3.4/site-packages/blivet/devices/lvm.py", line 400, in align
    return size.roundToNearest(self.peSize, rounding=ROUND_UP if roundup else ROUND_DOWN)
  File "/usr/lib/python3.4/site-packages/blivet/devices/lvm.py", line 350, in reservedSpace
    return self.align(reserved, roundup=True)
  File "/usr/lib/python3.4/site-packages/blivet/devices/lvm.py", line 386, in freeSpace
    used += self.reservedSpace
  File "/usr/lib/python3.4/site-packages/blivet/devices/lvm.py", line 287, in _addLogVol
    lv.size > self.freeSpace:
  File "/usr/lib/python3.4/site-packages/blivet/devices/lvm.py", line 563, in _add_to_parents
    self._parents[0]._addLogVol(self)
  File "/usr/lib/python3.4/site-packages/blivet/devices/lvm.py", line 535, in __init__
    self._add_to_parents()
  File "/usr/lib/python3.4/site-packages/blivet/blivet.py", line 970, in newLV
    return device_class(name, *args, **kwargs)
  File "/usr/lib64/python3.4/site-packages/pyanaconda/kickstart.py", line 1024, in execute
    **pool_args)
  File "/usr/lib64/python3.4/site-packages/pyanaconda/kickstart.py", line 809, in execute
    l.execute(storage, ksdata, instClass)
  File "/usr/lib64/python3.4/site-packages/pyanaconda/kickstart.py", line 2193, in doKickstartStorage
    ksdata.logvol.execute(storage, ksdata, instClass)
  File "/usr/lib64/python3.4/site-packages/pyanaconda/ui/tui/spokes/storage.py", line 389, in execute
    doKickstartStorage(self.storage, self.data, self.instclass)
  File "/usr/lib64/python3.4/site-packages/pyanaconda/ui/tui/hubs/summary.py", line 66, in setup
    spoke.execute()
  File "/usr/lib64/python3.4/site-packages/pyanaconda/ui/tui/__init__.py", line 180, in setup
    should_schedule = obj.setup(self.ENVIRONMENT)
  File "/sbin/anaconda", line 1322, in <module>
    anaconda._intf.setup(ksdata)
AttributeError: 'int' object has no attribute 'roundToNearest'

Additional info:
addons:         com_redhat_kdump
cmdline:        /usr/bin/python3  /sbin/anaconda
cmdline_file:   initrd=boot/Fedora-23-x86_64-initrd.img ks=http://build.ntoggle.com:80/unattended/provision?token=b23c0a99-f0aa-474f-8704-ee24e695691f ks.device=bootif network ks.sendmac inst.dhcpclass=foreman BOOT_IMAGE=boot/Fedora-23-x86_64-vmlinuz BOOTIF=01-0c-c4-7a-6b-70-18 
dnf.rpm.log:    Dec 29 23:50:02 INFO --- logging initialized ---
executable:     /sbin/anaconda
hashmarkername: anaconda
kernel:         4.2.3-300.fc23.x86_64
product:        Fedora
release:        Cannot get release name.
type:           anaconda
version:        23
Comment 1 Ashley Penney 2015-12-29 19:19:39 EST
Created attachment 1110407 [details]
File: anaconda-tb
Comment 2 Ashley Penney 2015-12-29 19:19:40 EST
Created attachment 1110408 [details]
File: anaconda.log
Comment 3 Ashley Penney 2015-12-29 19:19:41 EST
Created attachment 1110409 [details]
File: dnf.log
Comment 4 Ashley Penney 2015-12-29 19:19:42 EST
Created attachment 1110410 [details]
File: environ
Comment 5 Ashley Penney 2015-12-29 19:19:43 EST
Created attachment 1110411 [details]
File: ks.cfg
Comment 6 Ashley Penney 2015-12-29 19:19:44 EST
Created attachment 1110412 [details]
File: lsblk_output
Comment 7 Ashley Penney 2015-12-29 19:19:45 EST
Created attachment 1110413 [details]
File: nmcli_dev_list
Comment 8 Ashley Penney 2015-12-29 19:19:46 EST
Created attachment 1110414 [details]
File: os_info
Comment 9 Ashley Penney 2015-12-29 19:19:47 EST
Created attachment 1110415 [details]
File: program.log
Comment 10 Ashley Penney 2015-12-29 19:19:48 EST
Created attachment 1110416 [details]
File: storage.log
Comment 11 Ashley Penney 2015-12-29 19:19:49 EST
Created attachment 1110417 [details]
File: syslog
Comment 12 Ashley Penney 2015-12-29 19:19:50 EST
Created attachment 1110418 [details]
File: ifcfg.log
Comment 13 Ashley Penney 2015-12-29 19:19:51 EST
Created attachment 1110419 [details]
File: packaging.log
Comment 14 Ashley Penney 2015-12-29 19:21:58 EST
Not sure if it'll help but here's a snippet from my kickstart:

zerombr
clearpart --all --initlabel
part raid.11 --size 1024 --asprimary --ondrive=sdb
part raid.21 --size 1024 --asprimary --ondrive=sdc
part raid.12 --size 1024 --asprimary --ondrive=sdb
part raid.22 --size 1024 --asprimary --ondrive=sdc
part raid.13 --size 1 --grow --asprimary --ondrive=sdb
part raid.23 --size 1 --grow --asprimary --ondrive=sdc

part pv.02 --grow --asprimary --size=1 --ondrive=sda

raid /boot --fstype xfs --device boot --level=RAID1 raid.11 raid.21
raid swap --fstype swap --device swap --level=RAID1 raid.12 raid.22
raid pv.01 --device sys --level=RAID1 raid.13 raid.23

volgroup sysvg pv.01 --reserved-space=102400
volgroup storage pv.02

logvol / --vgname=sysvg --size=1 --grow --name=root
logvol /storage --vgname=storage --size=1 --grow

--------

I spent time trying to read through blivet's f23 branch to understand this better but I can't really understand why it's an int and not a size unless it's being passed in incorrectly in the first place.
Comment 15 Fedora End Of Life 2016-11-24 09:35:08 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 16 Fedora End Of Life 2016-12-20 12:28:16 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.